<?php

namespace NoccyLabs\PulseAudio;

use NoccyLabs\PulseAudio\Module\ModuleList;
use NoccyLabs\PulseAudio\Sink\SinkList;
use NoccyLabs\PulseAudio\Sink\SinkInputList;
use NoccyLabs\PulseAudio\Source\SourceList;
use NoccyLabs\PulseAudio\Source\SourceOutputList;
use NoccyLabs\PulseAudio\Client\ClientList;
use NoccyLabs\PulseAudio\Card\CardList;

class PulseAudio
{
    /**
     *
     *
     * @return ModuleList
     */
    public function getModules()
    {
        return new ModuleList();
    }

    public function getSinks()
    {
        return new SinkList();
    }

    public function getSinkInputs()
    {
        return new SinkInputList();
    }

    public function getSources()
    {
        return new SourceList();
    }

    public function getSourceOutputs()
    {
        return new SourceOutputList();
    }

    public function getClients()
    {
        return new ClientList();
    }

    public function getCards()
    {
        return new CardList();
    }

}

